Package com.google.protobuf

# Class JavaFeaturesProto

java.lang.Object
com.google.protobuf.JavaFeaturesProto

public final class JavaFeaturesProto extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`JavaFeaturesProto.JavaFeatures`
Protobuf type `pb.JavaFeatures`
`static interface`
`JavaFeaturesProto.JavaFeaturesOrBuilder`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final GeneratedMessage.GeneratedExtension<DescriptorProtos.FeatureSet,JavaFeaturesProto.JavaFeatures>`
`java_`
`extend .google.protobuf.FeatureSet { ...`
`static final int`
`JAVA_FIELD_NUMBER`

## Method Summary

Modifier and Type
Method
Description
`static Descriptors.FileDescriptor`
`getDescriptor()`
`static void`
`registerAllExtensions(ExtensionRegistry registry)`
`static void`
`registerAllExtensions(ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JAVA_FIELD_NUMBER

public static final int JAVA_FIELD_NUMBER

See Also:
  - Constant Field Values

### java_

public static final GeneratedMessage.GeneratedExtension<DescriptorProtos.FeatureSet,JavaFeaturesProto.JavaFeatures> java_
`extend .google.protobuf.FeatureSet { ... }`

## Method Details

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistryLite registry)

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistry registry)

### getDescriptor

public static Descriptors.FileDescriptor getDescriptor()